%define upstream_name Services_W3C_CSSValidator
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.3
Release:     	%mkrel 8
Summary:    	An Object Oriented Interface to the W3C CSS Validator service
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_W3C_CSSValidator-%{version}.tgz
URL: 		http://pear.php.net/package/Services_W3C_CSSValidator
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request2 >= 0.2.0
Requires:	php-pear >= 1.5.4
BuildArch: 	noarch

%description
This package provides an object oriented interface to the API
of the W3 CSS Validator application (http://jigsaw.w3.org/css-validator/).
With this package you can connect to a running instance of the validator
and
retrieve the validation results (true|false) as well as the errors and
warnings
for a a style sheet.

By using the SOAP 1.2 output format from the validator, you are returned
simple
objects containing all the information from the validator.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_W3C_CSSValidator.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_W3C_CSSValidator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_W3C_CSSValidator
fi

%files
%doc docs/Services_W3C_CSSValidator/*
%{peardir}/*
%{xmldir}/Services_W3C_CSSValidator.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-8.mga8
+ Revision: 1499161
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.3-7.mga7
+ Revision: 1273843
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.2.3-6.mga6
+ Revision: 929721
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-5.mga5
+ Revision: 745411
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.2.3-4.mga5
+ Revision: 734170
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-3.mga5
+ Revision: 687461
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-2.mga4
+ Revision: 528277
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.2.3-1.mga4
+ Revision: 444005
- upgrade to version 0.2.3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 377285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.2.2-1.mga2
+ Revision: 196123
- upgrade to 0.2.2
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.1.0-3.mga1
+ Revision: 44273
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_W3C_CSSValidator


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2011.0
+ Revision: 613773
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-2mdv2010.1
+ Revision: 467082
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 449249
- import php-pear-Services_W3C_CSSValidator


* Fri Sep 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2010.0
- initial release
